Package Details: intel-opencl 5.0.r63503-2

Git Clone URL: https://aur.archlinux.org/intel-opencl.git (read-only, click to copy)
Package Base: intel-opencl
Description: Legacy OpenCL(TM) driver 1.2 or 2.0, for Intel graphics from Ivy Bridge GPU model (gen 7), to Haswell (gen 7.5) for Linux (pre-Broadwell)
Upstream URL: https://software.intel.com/en-us/articles/legacy-opencl-drivers#latest_linux_driver
Keywords: intel legacy opencl
Licenses: custom:intel
Provides: opencl-driver
Submitter: intelfx
Maintainer: dakataca
Last Packager: dakataca
Votes: 29
Popularity: 0.014946
First Submitted: 2016-07-01 01:01 (UTC)
Last Updated: 2023-11-08 04:29 (UTC)

Dependencies (3)

Required by (36)

Sources (1)

Latest Comments

1 2 3 Next › Last »

<deleted-account> commented on 2023-02-05 06:05 (UTC)

The Source is no longer available. Please Change the source to "https://web.archive.org/web/20190601000000/http://registrationcenter-download.intel.com/akdlm/irc_nas/11396/SRB5.0_linux64.zip"

Eirikr commented on 2022-04-22 04:15 (UTC)

It appears that this is broken, thanks to package no longer being available from the same location from Intel.

'==> ERROR: Failure while downloading http://registrationcenter-download.intel.com/akdlm/irc_nas/11396/SRB5.0_linux64.zip Aborting...'

egore911 commented on 2021-06-10 06:10 (UTC)

Please note that this package provides an libtbb.so.2, which causes symbol lookup errors in blender / openimagedenoise (e.g. _ZN3tbb10interface78internal15task_arena_base24internal_max_concurrencyEPKNS0_10task_arenaE), see also https://bugs.archlinux.org/task/71199

Switching to the intel-opencl-clang package fixes this.

Ashark commented on 2019-07-25 23:24 (UTC)

This package provides intel.icd file, which is already provided by intel-compute-runtime package. So this package should explicitly conflict with intel-compute-runtime or probably rename that file.

intelfx commented on 2019-01-12 05:18 (UTC) (edited on 2019-01-12 05:19 (UTC) by intelfx)

@BugSecurity: this is a legacy Intel OpenCL driver (pre-Broadwell), and provided is still the latest version.

@Ashark: thanks, replaced.

Also I do not own supported hardware anymore, so I'm disowning this package now.

BugSecurity commented on 2018-12-27 13:13 (UTC)

http://registrationcenter-download.intel.com/akdlm/irc_nas/vcp/13793/l_opencl_p_18.1.0.013.tgz

latest version

Ashark commented on 2018-12-27 08:40 (UTC)

@intelfx, Could you please replace provides "opencl" to provides "opencl-driver". Possibly it also needs to provide "opencl-intel".

bastple commented on 2018-08-12 10:34 (UTC)

@enihcam,

even though this package is deprecated by Intel, it is still required for pre-Broadwell chips. This version is the newest version of that package and therefore it is not outdated.

enihcam commented on 2018-05-27 02:26 (UTC) (edited on 2018-05-27 02:26 (UTC) by enihcam)

SRB version of OpenCL driver is deprecated. Please switch to Intel 'Neo' OpenCL driver. For more details: https://github.com/intel/compute-runtime

dsx commented on 2017-08-11 19:05 (UTC)

@craeckie, thanks for the patch but it misses 'numactl' and 'ncurses5-compat-libs' dependencies: -depends=('zlib' 'libdrm') +depends=('zlib' 'libdrm' 'numactl' 'ncurses5-compat-libs') with this addition works fine (I've tried x264 --opencl)